Bug 1290282 - [GSS] (6.4.z) Can't see Test Connection button in JBoss Management Console in Domain Mode after applying patch 6.4.5
[GSS] (6.4.z) Can't see Test Connection button in JBoss Management Console in...
Status: CLOSED DUPLICATE of bug 1278401
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Chao Wang
Pavel Jelinek
Depends On:
  Show dependency treegraph
Reported: 2015-12-09 22:29 EST by sfu@redhat.com
Modified: 2015-12-14 22:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-13 22:20:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sfu@redhat.com 2015-12-09 22:29:15 EST
Description of problem:
Can't see Test Connection button in JBoss Management Console in Domain Mode after applying patch 6.4.5(JBoss Console-->Configuration tab-->Connector-->Datasources-->Connection)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install JBoss EAP 6.4 and apply patch 6.4.5.
2.Create a user and start server with domain mode
3.visit JBoss Management Console and see (JBoss Console-->Configuration tab-->Connector-->Datasources-->Connection)

Actual results:
No Test Connection button can be found

Expected results:
Should see the button

Additional info:
1.whatever role of the login user,always can't see the test connection button.
2.standalone mode is no problem.
3.both standalone and domain model are OK in 6.4.4.
4.In 6.4.5 domain model,can see the test connection button from (JBoss Management Console->Runtime->Subsystems->Datasources)
Comment 2 selcen 2015-12-14 07:48:39 EST

I write about  https://bugzilla.redhat.com/show_bug.cgi?id=1290282 bug report that you closed for dublicating of

“The datasource "Test Connection" webconsole button did not use correct operation when reading logged user privilegues to determine
if the button should be visible or not. The button was hidden for operator role even if the role is allowed to perform the test connection

Also, in domain mode the "Test Connection" button has been removed from the subsystem configuration page as performing
the test operation requires choosing a running server with the given profile which is not clear to the user.

The fix is applicable only to subsystem configuration page. The runtime view still remains unfixed and is a known bug.

that bug which button is hidden for operatör role.”

But our problem is about lack of test connection button  Jboss configureted as a domain and with admin role.  Our version is 6.4.5.

Would you evaluate this bug case again?

Best Regards,
Selcen Korkut
Comment 3 Chao Wang 2015-12-14 22:00:41 EST
Please see our engineer's clarification on duplicate issue as:

"To clarify: 

That button should not be available under Configuration>Profile>... in domain mode. The underlying operation requires an active server to be chosen that uses the specific profile that contains the datasource. These requirements are only given under Runtime > Monitor > Datasources."
Comment 4 sfu@redhat.com 2015-12-14 22:11:45 EST
Hi Selcen,

According to above clarification,this is a change of 6.4.5 in domain mode.We should chose a running server which specific profile that contains the datasource to use this button under Runtime > Monitor > Datasources.

Best Regards,

Note You need to log in before you can comment on or make changes to this bug.